com.elastisys.scale.cloudpool.openstack.requests

## Class DeleteServerMetadataRequest

- java.lang.Object
- - com.elastisys.scale.cloudpool.openstack.requests.AbstractOpenstackRequest<Void>
  - - com.elastisys.scale.cloudpool.openstack.requests.DeleteServerMetadataRequest

All Implemented Interfaces:
  Callable<Void>

    public class DeleteServerMetadataRequest
    extends AbstractOpenstackRequest<Void>

An Openstack request that, when executed, deletes selected tags from a `Server`'s metadata.

### Constructor Summary

Constructors
Constructor and Description
`DeleteServerMetadataRequest(com.elastisys.scale.commons.openstack.OSClientFactory clientFactory, String serverId, List<String> metadataKeysToDelete)` Constructs a `DeleteServerMetadataRequest`.

### Method Summary

All Methods Instance Methods Concrete Methods
`Void` `doRequest(org.openstack4j.api.OSClient api)` Carries out the request and returns the response.

### Methods inherited from class com.elastisys.scale.cloudpool.openstack.requests.AbstractOpenstackRequest

`call, getApiAccessConfig, getClientFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DeleteServerMetadataRequest

    public DeleteServerMetadataRequest(com.elastisys.scale.commons.openstack.OSClientFactory clientFactory,
                                       String serverId,
                                       List<String> metadataKeysToDelete)

Constructs a `DeleteServerMetadataRequest`.

Parameters:
  `clientFactory` - OpenStack API client factory.
  `serverId` - The server whose metadata is to be updated.
  `metadataKeysToDelete` - Meta data tags to be removed from the server.

### Method Detail

#### doRequest

    public Void doRequest(org.openstack4j.api.OSClient api)
                   throws NotFoundException

Description copied from class: `AbstractOpenstackRequest`
Carries out the request and returns the response.

Specified by:
  `doRequest` in class `AbstractOpenstackRequest<Void>`
Parameters:
  `api` - An authenticated OpenStack API client that is instructed to operate against the configured region.
Returns:
  The response.
Throws:
  `NotFoundException`